Ruby 1.9.1 on Windows - missing DLLs in gem installer


#1

Hi friends,

I downloaded the Ruby-1.9.1-p0 Binary for Windows. After unpacking the
zipped file, it runs fine, BUT when I try to issue the following gem
install command:

gem install sqlite3-ruby --include-dependencies

it starts complaining that a lot of DLLs are missing; among them I
listed the following:

datasvcs.dll, icudt24l.dll, icuin24.dll, icuio24.dll, icuuc24.dll,
libeay32.dll, libmex.dll, libmwservices.dll, libmx.dll, libut.dll,
libz.dll, mpath.dll, msvcrt-ruby191.dll, mvalue.dll, m_dispatcher.dll,
nscrt.dll, readline.dll, ssleay32.dll, xerces-c_2_1_0.dll, zlib.dll.

The questions are:
(Q1)- what are these files?
(Q2)- why it is asking for them?
(Q3)- Where can I get them? (preferably, in one pack)

After downloading these files, one by one, from dlldll.com (?), an error
message saying:

“ruby.exe - Entry Point Not Found - The procedure entry point
rl_vi_editing_mode could not be located in the dynamic link library
readline.dll”

I presume this message occurs if the DLL versions do not match, which
leads to (Q3).

Any insight would be helpful. Thanks,
DiegoG


#2

On Mar 3, 3:31 am, Diego G. removed_email_address@domain.invalid wrote:

Hi friends,

I downloaded the Ruby-1.9.1-p0 Binary for Windows. After unpacking the
zipped file, it runs fine, BUT when I try to issue the following gem
install command:

If you download garbagecollect releases (the one advertised in Ruby
page), then you need follow these instructions:

http://www.garbagecollect.jp/ruby/mswin32/en/documents/install.html